Voices
API endpoints related to managing Voices. The voices API allows you to generate audio from text using different voice models.
Supported Voices
Below is a list of all supported voices that can be used with the Voices API:
| Voice ID | Name | Gender | Accent | Description |
|---|---|---|---|---|
| cjVigY5qzO86Huf0OWal | Benny | Male | Canadian | Casual and approachable |
| 5ZvI0fBo2w7CxuiM9ObF | Chris | Male | American | Warm and friendly |
| UgBBYS2sOqTuMpoF3BR0 | Mark | Male | American | Deep and authoritative |
| s0XGIcqmceN2l7kjsqoZ | Lucas | Male | American | Casual, approachable and conversational |
| L0Dsvb3SLTyegXwtm47J | Archer | Male | British | Calm, Middle-aged British |
| N2yy09ofJlJaywlNAv4s | Sarah | Female | Canadian | Soft spoken |
| FVQMzxJGPUBtfz1Azdoy | Danielle | Female | Canadian | Warm and friendly |
| uYXf8XasLslADfZ2MB4u | Hope | Female | American | Casual, Young, Female, Conversational |
| pujH7g2H19Q7U8Gevr98 | Joe | Male | American | Middle-Aged, Conversational |
| ZUrEGyu8GFMwnHbvLhv2 | Monika | Female | Indian | Relaxed, Conversational |
| pzxut4zZz4GImZNlqQ3H | Raju | Male | Indian | Young, Conversational |
Generate Voice
Converts text to speech using the specified voice.
POST /v1/voices
Headers:
x-api-key(string, required): Your API key for authentication.Content-Type(string, required):application/json
Request Body:
{
"message": "Hello, this is a test message that will be converted to speech.",
"voiceId": "voice_id_123abc"
}
Request Parameters:
message(string, required): The text message to convert to speech.voiceId(string, required): The ID of the voice model to use for speech generation.
Response:
- 201 Created: Voice generated successfully.
{"message": "Voice generated successfully","body": "https://storage.example.com/developers/voices/f7a8b3cd12e4.mp3"}
- 400 Bad Request: Invalid request body (e.g., missing required fields) or an invalid/expired API key.
Try it yourself
POST/v1/voices